package com.sundot.airport.item.domain;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.common.domain.BaseAttachment;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 查获物品明细对象 item_seizure_items
 *
 * @author ruoyi
 * @date 2025-07-10
 */
@TableName("item_seizure_items")
public class ItemSeizureItems extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Long revision;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 查获记录ID
     */
    @Excel(name = "查获记录ID")
    private Long recordId;

    /**
     * 物品编码
     */
    @Excel(name = "物品编码")
    private String itemCode;

    /**
     * 数量
     */
    @Excel(name = "数量")
    private BigDecimal quantity;

    /**
     * 检查部位编码1级
     */
    @Excel(name = "检查部位编码1级")
    private String checkPositionCodeOne;

    /**
     * 是否故意隐匿(1-是,0-否)
     */
    @Excel(name = "是否故意隐匿(1-是,0-否)")
    private Long isActiveConcealment;

    /**
     * 检查部位编码2级
     */
    @Excel(name = "检查部位编码2级")
    private String checkPositionCodeTwo;

    /**
     * 具体位置
     */
    @Excel(name = "具体位置")
    private String checkPositionSpecific;

    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    private String itemName;

    /**
     * 物品分类编码1级
     */
    @Excel(name = "物品分类编码1级")
    private String categoryCodeOne;

    /**
     * 物品分类名称1级
     */
    @Excel(name = "物品分类名称1级")
    private String categoryNameOne;

    /**
     * 物品分类编码2级
     */
    @Excel(name = "物品分类编码2级")
    private String categoryCodeTwo;

    /**
     * 物品分类名称2级
     */
    @Excel(name = "物品分类名称2级")
    private String categoryNameTwo;

    /**
     * 单位
     */
    @Excel(name = "单位")
    private String unit;

    /**
     * 检查部位名称1级
     */
    @Excel(name = "检查部位名称1级")
    private String checkPositionNameOne;

    /**
     * 检查部位名称2级
     */
    @Excel(name = "检查部位名称2级")
    private String checkPositionNameTwo;

    /**
     * 具体位置
     */
    @Excel(name = "具体位置")
    private String location;

    /**
     * 具体位置描述
     */
    @Excel(name = "具体位置描述")
    private String locationText;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String unitDesc;

    /**
     * 处理方式
     */
    @Excel(name = "处理方式")
    private String handlingMethod;

    /**
     * 处理方式名称
     */
    @Excel(name = "处理方式名称")
    private String handlingMethodDesc;

    /**
     * 附件ID
     */
    @Excel(name = "附件ID")
    private String attachmentId;

    /**
     * 附件URL
     */
    @Excel(name = "附件URL")
    private String attachmentUrl;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    private String attachmentName;

    /**
     * 是否常见违禁品（0-否，1-是）
     */
    @Excel(name = "是否常见违禁品（0-否，1-是）")
    private Integer commonContraband;

    /**
     * 违禁品描述
     */
    @Excel(name = "违禁品描述")
    private String contrabandDesc;

    /**
     * 附件列表
     */
    private List<BaseAttachment> baseAttachmentList;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Long revision) {
        this.revision = revision;
    }

    public Long getRevision() {
        return revision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setCheckPositionCodeOne(String checkPositionCodeOne) {
        this.checkPositionCodeOne = checkPositionCodeOne;
    }

    public String getCheckPositionCodeOne() {
        return checkPositionCodeOne;
    }

    public void setIsActiveConcealment(Long isActiveConcealment) {
        this.isActiveConcealment = isActiveConcealment;
    }

    public Long getIsActiveConcealment() {
        return isActiveConcealment;
    }

    public void setCheckPositionCodeTwo(String checkPositionCodeTwo) {
        this.checkPositionCodeTwo = checkPositionCodeTwo;
    }

    public String getCheckPositionCodeTwo() {
        return checkPositionCodeTwo;
    }

    public void setCheckPositionSpecific(String checkPositionSpecific) {
        this.checkPositionSpecific = checkPositionSpecific;
    }

    public String getCheckPositionSpecific() {
        return checkPositionSpecific;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setCategoryCodeOne(String categoryCodeOne) {
        this.categoryCodeOne = categoryCodeOne;
    }

    public String getCategoryCodeOne() {
        return categoryCodeOne;
    }

    public void setCategoryNameOne(String categoryNameOne) {
        this.categoryNameOne = categoryNameOne;
    }

    public String getCategoryNameOne() {
        return categoryNameOne;
    }

    public void setCategoryCodeTwo(String categoryCodeTwo) {
        this.categoryCodeTwo = categoryCodeTwo;
    }

    public String getCategoryCodeTwo() {
        return categoryCodeTwo;
    }

    public void setCategoryNameTwo(String categoryNameTwo) {
        this.categoryNameTwo = categoryNameTwo;
    }

    public String getCategoryNameTwo() {
        return categoryNameTwo;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setCheckPositionNameOne(String checkPositionNameOne) {
        this.checkPositionNameOne = checkPositionNameOne;
    }

    public String getCheckPositionNameOne() {
        return checkPositionNameOne;
    }

    public void setCheckPositionNameTwo(String checkPositionNameTwo) {
        this.checkPositionNameTwo = checkPositionNameTwo;
    }

    public String getCheckPositionNameTwo() {
        return checkPositionNameTwo;
    }

    public void setUnitDesc(String unitDesc) {
        this.unitDesc = unitDesc;
    }

    public String getUnitDesc() {
        return unitDesc;
    }

    public void setHandlingMethod(String handlingMethod) {
        this.handlingMethod = handlingMethod;
    }

    public String getHandlingMethod() {
        return handlingMethod;
    }

    public void setHandlingMethodDesc(String handlingMethodDesc) {
        this.handlingMethodDesc = handlingMethodDesc;
    }

    public String getHandlingMethodDesc() {
        return handlingMethodDesc;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentName(String attachmentName) {
        this.attachmentName = attachmentName;
    }

    public String getAttachmentName() {
        return attachmentName;
    }

    public Integer getCommonContraband() {
        return commonContraband;
    }

    public void setCommonContraband(Integer commonContraband) {
        this.commonContraband = commonContraband;
    }

    public String getContrabandDesc() {
        return contrabandDesc;
    }

    public void setContrabandDesc(String contrabandDesc) {
        this.contrabandDesc = contrabandDesc;
    }

    public List<BaseAttachment> getBaseAttachmentList() {
        return baseAttachmentList;
    }

    public void setBaseAttachmentList(List<BaseAttachment> baseAttachmentList) {
        this.baseAttachmentList = baseAttachmentList;
    }


    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationText() {
        return locationText;
    }

    public void setLocationText(String locationText) {
        this.locationText = locationText;
    }

    @Override
    public String toString() {
        return "ItemSeizureItems{" +
                "tenantId='" + tenantId + '\'' +
                ", revision=" + revision +
                ", id=" + id +
                ", recordId=" + recordId +
                ", itemCode='" + itemCode + '\'' +
                ", quantity=" + quantity +
                ", checkPositionCodeOne='" + checkPositionCodeOne + '\'' +
                ", isActiveConcealment=" + isActiveConcealment +
                ", checkPositionCodeTwo='" + checkPositionCodeTwo + '\'' +
                ", checkPositionSpecific='" + checkPositionSpecific + '\'' +
                ", itemName='" + itemName + '\'' +
                ", categoryCodeOne='" + categoryCodeOne + '\'' +
                ", categoryNameOne='" + categoryNameOne + '\'' +
                ", categoryCodeTwo='" + categoryCodeTwo + '\'' +
                ", categoryNameTwo='" + categoryNameTwo + '\'' +
                ", unit='" + unit + '\'' +
                ", checkPositionNameOne='" + checkPositionNameOne + '\'' +
                ", checkPositionNameTwo='" + checkPositionNameTwo + '\'' +
                ", location='" + location + '\'' +
                ", locationText='" + locationText + '\'' +
                ", unitDesc='" + unitDesc + '\'' +
                ", handlingMethod='" + handlingMethod + '\'' +
                ", handlingMethodDesc='" + handlingMethodDesc + '\'' +
                ", attachmentId='" + attachmentId + '\'' +
                ", attachmentUrl='" + attachmentUrl + '\'' +
                ", attachmentName='" + attachmentName + '\'' +
                ", commonContraband='" + commonContraband + '\'' +
                ", contrabandDesc='" + contrabandDesc + '\'' +
                ", baseAttachmentList=" + baseAttachmentList +
                '}';
    }


}
